//-------------------------------------------------------------------------
// play-v6 - music player for ATmega328P @ 16 MHz
// player and music data interpreter
// by Enrico Colombini <erix@erix.it>
// license: CC Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)
// http://creativecommons.org/licenses/by-sa/4.0/
//-------------------------------------------------------------------------

#ifndef PLAY_H
#define PLAY_H

#include <stdint.h>
#include <stdbool.h>

//-------------------------------------------------------------------------
// public constants

//play loop state (NOTE: do not change order)
enum PlayState {
    //values used internally
    PLAY_PLAYING = 0, PLAY_END_REQUEST,
    //values that terminate the play loop, returned to caller       // +++ use marker?
    PLAY_EXIT_DONE, PLAY_EXIT_STOP, PLAY_EXIT_NEXT, PLAY_EXIT_PREV
};

//-------------------------------------------------------------------------
// public functions

extern enum PlayState Play(const uint8_t *music);

//-------------------------------------------------------------------------

#endif //PLAY_H
