//-------------------------------------------------------------------------
// play-v6 - music player for ATmega328P @ 16 MHz
// constant tables
// by Enrico Colombini <erix@erix.it>
// license: CC Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)
// http://creativecommons.org/licenses/by-sa/4.0/
//-------------------------------------------------------------------------

#ifndef TABLES_H
#define TABLES_H

#include <stdint.h>
#include <avr/pgmspace.h>

//-------------------------------------------------------------------------
// --- warning: changing CPU_CLOCK and/or PWM_CYCLE requires regenerating
// --- table.c and possibly part of the initialization code

//wavePtr advance step (8.8) for each note from C1 to D#6
extern const uint16_t notes[64] PROGMEM;

//number of PWM cycles to make 1/64 measure,
// for tempo = 1..256 qpm (quarter notes per minute)
//(limited to 0xffff for very low values of tempo)
//note: table is 1-based
extern const uint16_t tempo64Steps[256] PROGMEM;

//-------------------------------------------------------------------------

#endif //TABLES_H
